for n=1000:1000:4000
A = randn(n); y = randn(n,1);
tic;
    A\y;
t_kanoniko(n/1000) = toc;


ATU = triu(A);
tic;
    ATU\y;
t_downtrigon(n/1000) = toc;

ATL = tril(A);
tic;
    ATL\y;
t_uptrigoniko(n/1000) = toc;


p = randperm(length(ATU));
B = ATU(p,p);
tic;
    B\y;
t_trigonopoiisimo(n/1000) = toc ;
end
ans=[1000,2000,3000,4000;t_kanoniko;t_downtrigon;;t_uptrigoniko;t_trigonopoiisimo]